//------------------------------------------------------
// WeaponM39R.
//------------------------------------------------------
class WeaponM39R extends DeusExWeapon;

#exec AUDIO IMPORT FILE="Sounds\M39RShoot.wav" NAME="M39RFire" GROUP="Weapons"

#exec TEXTURE IMPORT NAME=M39RTex FILE=textures\GunThingy.bmp GROUP=Skins

#exec MESH IMPORT MESH=M39R1 ANIVFILE=MODELS\M39R1_a.3d DATAFILE=MODELS\M39R1_d.3d X=0 Y=0 Z=0
#exec MESH ORIGIN MESH=M39R1 X=0 Y=0 Z=0 Yaw=64.00
#exec MESHMAP NEW MESHMAP=M39R1 MESH=M39R1
#exec MESHMAP SCALE MESHMAP=M39R1 X=0.1 Y=0.1 Z=0.1
#exec MESHMAP SETTEXTURE MESHMAP=M39R1 NUM=0 TEXTURE=M39RTex
#exec MESHMAP SETTEXTURE MESHMAP=M39R1 NUM=1 TEXTURE=M39RTex
#exec MESH SEQUENCE MESH=M39R1 SEQ=All STARTFRAME=0 NUMFRAMES=29
#exec MESH SEQUENCE MESH=M39R1 SEQ=Still STARTFRAME=0 NUMFRAMES=1
#exec MESH SEQUENCE MESH=M39R1 SEQ=Down STARTFRAME=1 NUMFRAMES=4 Rate=8
#exec MESH SEQUENCE MESH=M39R1 SEQ=Shoot STARTFRAME=15 NUMFRAMES=8 Rate=20
#exec MESH SEQUENCE MESH=M39R1 SEQ=Select STARTFRAME=4 NUMFRAMES=4 Rate=11 Group=Select
#exec MESH SEQUENCE MESH=M39R1 SEQ=ReloadBegin STARTFRAME=7 NUMFRAMES=5 Rate=12
#exec MESH SEQUENCE MESH=M39R1 SEQ=Reload STARTFRAME=11 NUMFRAMES=1 Rate=2
#exec MESH SEQUENCE MESH=M39R1 SEQ=ReloadEnd STARTFRAME=11 NUMFRAMES=5 Rate=12
#exec MESH SEQUENCE MESH=M39R1 SEQ=Idle1 STARTFRAME=22 NUMFRAMES=7 Rate=7
#exec MESH SEQUENCE MESH=M39R1 SEQ=Idle2 STARTFRAME=22 NUMFRAMES=7 Rate=8
#exec MESH SEQUENCE MESH=M39R1 SEQ=Idle3 STARTFRAME=22 NUMFRAMES=7 Rate=9

#exec MESH IMPORT MESH=M39RP ANIVFILE=MODELS\M39RP_a.3d DATAFILE=MODELS\M39RP_d.3d X=0 Y=0 Z=0
#exec MESH ORIGIN MESH=M39RP X=0 Y=0 Z=0
#exec MESH SEQUENCE MESH=M39RP SEQ=All STARTFRAME=0 NUMFRAMES=1
#exec MESH SEQUENCE MESH=M39RP SEQ=Still STARTFRAME=0 NUMFRAMES=1
#exec MESHMAP NEW MESHMAP=M39RP MESH=M39RP
#exec MESHMAP SCALE MESHMAP=M39RP X=0.1 Y=0.1 Z=0.1
#exec MESHMAP SETTEXTURE MESHMAP=M39RP NUM=0 TEXTURE=M39RTex
#exec MESHMAP SETTEXTURE MESHMAP=M39RP NUM=1 TEXTURE=M39RTex

#exec MESH IMPORT MESH=M39R3 ANIVFILE=MODELS\M39R3_a.3d DATAFILE=MODELS\M39R3_d.3d X=0 Y=0 Z=0
#exec MESH ORIGIN MESH=M39R3 X=0 Y=0 Z=0
#exec MESH SEQUENCE MESH=M39R3 SEQ=All STARTFRAME=0 NUMFRAMES=1
#exec MESH SEQUENCE MESH=M39R3 SEQ=Still STARTFRAME=0 NUMFRAMES=1
#exec MESHMAP NEW MESHMAP=M39R3 MESH=M39R3
#exec MESHMAP SCALE MESHMAP=M39R3 X=0.1 Y=0.1 Z=0.1
#exec MESHMAP SETTEXTURE MESHMAP=M39R3 NUM=0 TEXTURE=M39RTex
#exec MESHMAP SETTEXTURE MESHMAP=M39R3 NUM=1 TEXTURE=M39RTex

defaultproperties
{
     LowAmmoWaterMark=7
     GoverningSkill=Class'DeusEx.SkillWeaponPistol'
     NoiseLevel=1.250000
     EnemyEffective=ENMEFF_Organic
     EnviroEffective=ENVEFF_Air
     ShotTime=0.550000
     reloadTime=1.200000
     HitDamage=10
     maxRange=6144
     AccurateRange=4096
     BaseAccuracy=0.450000
     recoilStrength=0.600000
     MinWeaponAcc=0.000000
     mpReloadTime=1.500000
     mpHitDamage=50
     mpBaseAccuracy=0.450000
     mpAccurateRange=3072
     mpMaxRange=4096
     mpReloadCount=7
     mpPickupAmmoCount=28
     bCanHaveModReloadTime=True
     bCanHaveModRecoilStrength=True
     AmmoName=Class'DeusEx.Ammo10mm'
     ReloadCount=7
     PickupAmmoCount=28
     bInstantHit=True
     CockingSound=Sound'DeusExSounds.Weapons.PistolReload'
     SelectSound=Sound'DeusExSounds.Weapons.PistolSelect'
     firesound=Sound'ModName.Weapons.M39RFire'
     InventoryGroup=53
     ItemName="M39R Beretta"
     PlayerViewOffset=(X=22.000000,Y=-11.000000,Z=-12.000000)
     PlayerViewMesh=LodMesh'ModName.M39R1'
     PickupViewMesh=LodMesh'ModName.M39RP'
     ThirdPersonMesh=LodMesh'ModName.M39R3'
     LandSound=Sound'DeusExSounds.Generic.DropMediumWeapon'
     Icon=Texture'DeusExUI.Icons.BeltIconPistol'
     largeIcon=Texture'DeusExUI.Icons.LargeIconPistol'
     largeIconWidth=46
     largeIconHeight=28
     Description="ADD DESRIPTION HERE"
     beltDescription="M39R"
     DrawType=DT_Mesh
     Mesh=LodMesh'ModName.M39RP'
     CollisionRadius=12.000000
     CollisionHeight=2.000000
     Mass=25.000000
}
